diff --git a/encoder/encoder.c b/encoder/encoder.c
index fb34ca8..a276004 100644
--- a/encoder/encoder.c
+++ b/encoder/encoder.c
@@ -503,6 +503,7 @@ static int x264_validate_parameters( x264_t *h )
             x264_log( h, X264_LOG_ERROR, "invalid level_idc: %d\n", h->param.i_level_idc );
             return -1;
         }
+        h->param.b_interlaced = !!h->param.b_interlaced;
         if( h->param.analyse.i_mv_range <= 0 )
             h->param.analyse.i_mv_range = l->mv_range >> h->param.b_interlaced;
         else
@@ -551,7 +552,6 @@ static int x264_validate_parameters( x264_t *h )
 #define BOOLIFY(x) h->param.x = !!h->param.x
     BOOLIFY( b_cabac );
     BOOLIFY( b_deblocking_filter );
-    BOOLIFY( b_interlaced );
     BOOLIFY( analyse.b_transform_8x8 );
     BOOLIFY( analyse.i_direct_8x8_inference );
     BOOLIFY( analyse.b_bidir_me );
